Index: drivers/s390/block/dasd_3990_erp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/s390/block/dasd_3990_erp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/s390/block/dasd_3990_erp.c	22 Jul 2004 19:49:59 -0000	1.1
+++ drivers/s390/block/dasd_3990_erp.c	4 Aug 2004 01:29:28 -0000	1.2
@@ -894,348 +939,348 @@
 		case 0x00:	/* No Message */
 			break;
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Device Status 1 not as "
-                                      "expected");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Device Status 1 not as "
+                                     "expected");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Index missing");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Index missing");
 			break;
 		case 0x04:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Interruption cannot be reset");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Interruption cannot be reset");
 			break;
 		case 0x05:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Device did not respond to "
-                                      "selection");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Device did not respond to "
+                                     "selection");
 			break;
 		case 0x06:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Device check-2 error or Set "
-                                      "Sector is not complete");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Device check-2 error or Set "
+                                     "Sector is not complete");
 			break;
 		case 0x07:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Head address does not "
-                                      "compare");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Head address does not "
+                                     "compare");
 			break;
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Device status 1 not valid");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Device status 1 not valid");
 			break;
 		case 0x09:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Device not ready");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Device not ready");
 			break;
 		case 0x0A:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Track physical address did "
-                                      "not compare");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Track physical address did "
+                                     "not compare");
 			break;
 		case 0x0B:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Missing device address bit");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Missing device address bit");
 			break;
 		case 0x0C:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Drive motor switch is off");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Drive motor switch is off");
 			break;
 		case 0x0D:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Seek incomplete");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Seek incomplete");
 			break;
 		case 0x0E:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Cylinder address did not "
-                                      "compare");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Cylinder address did not "
+                                     "compare");
 			break;
 		case 0x0F:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Offset active cannot be "
-                                      "reset");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Offset active cannot be "
+                                     "reset");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 1 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 1 - Reserved");
 		}
                 break;		
                         
 	case 0x20:	/* Format 2 - 3990 Equipment Checks */
 		switch (msg_no) {
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 2 - 3990 check-2 error");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 2 - 3990 check-2 error");
 			break;
 		case 0x0E:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 2 - Support facility errors");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 2 - Support facility errors");
 			break;
 		case 0x0F:
-                        DASD_MESSAGE (KERN_WARNING, device,
-                                      "FORMAT 2 - Microcode detected error %02x",
-                                      sense[8]);
+                        DEV_MESSAGE (KERN_WARNING, device,
+                                     "FORMAT 2 - Microcode detected error %02x",
+                                     sense[8]);
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 2 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 2 - Reserved");
 		}
                 break;		
 
 	case 0x30:	/* Format 3 - 3990 Control Checks */
 		switch (msg_no) {
 		case 0x0F:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 3 - Allegiance terminated");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 3 - Allegiance terminated");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 3 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 3 - Reserved");
 		}
                 break;		
 
 	case 0x40:	/* Format 4 - Data Checks */
 		switch (msg_no) {
 		case 0x00:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Home address area error");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Home address area error");
 			break;
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Count area error");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Count area error");
 			break;
 		case 0x02:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Key area error");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Key area error");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Data area error");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Data area error");
 			break;
 		case 0x04:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in home address "
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in home address "
                                       "area");
 			break;
 		case 0x05:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in count address "
-                                      "area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in count address "
+                                     "area");
 			break;
 		case 0x06:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in key area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in key area");
 			break;
 		case 0x07:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in data area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in data area");
 			break;
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Home address area error; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Home address area error; "
+                                     "offset active");
 			break;
 		case 0x09:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Count area error; offset "
-                                      "active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Count area error; offset "
+                                     "active");
 			break;
 		case 0x0A:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Key area error; offset "
-                                      "active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Key area error; offset "
+                                     "active");
 			break;
 		case 0x0B:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Data area error; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Data area error; "
+                                     "offset active");
 			break;
 		case 0x0C:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in home "
-                                      "address area; offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in home "
+                                     "address area; offset active");
 			break;
 		case 0x0D:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No syn byte in count "
-                                      "address area; offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No syn byte in count "
+                                     "address area; offset active");
 			break;
 		case 0x0E:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No sync byte in key area; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No sync byte in key area; "
+                                     "offset active");
 			break;
 		case 0x0F:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - No syn byte in data area; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - No syn byte in data area; "
+                                     "offset active");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 4 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 4 - Reserved");
 		}
                 break;		
 
 	case 0x50:	/* Format 5 - Data Check with displacement information */
 		switch (msg_no) {
 		case 0x00:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the "
-                                      "home address area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the "
+                                     "home address area");
 			break;
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the count area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the count area");
 			break;
 		case 0x02:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the key area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the key area");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the data area");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the data area");
 			break;
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the "
-                                      "home address area; offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the "
+                                     "home address area; offset active");
 			break;
 		case 0x09:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the count area; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the count area; "
+                                     "offset active");
 			break;
 		case 0x0A:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the key area; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the key area; "
+                                     "offset active");
 			break;
 		case 0x0B:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Data Check in the data area; "
-                                      "offset active");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Data Check in the data area; "
+                                     "offset active");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 5 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 5 - Reserved");
 		}
                 break;		
 
 	case 0x60:	/* Format 6 - Usage Statistics/Overrun Errors */
 		switch (msg_no) {
 		case 0x00:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel A");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel A");
 			break;
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel B");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel B");
 			break;
 		case 0x02:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel C");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel C");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel D");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel D");
 			break;
 		case 0x04:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel E");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel E");
 			break;
 		case 0x05:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel F");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel F");
 			break;
 		case 0x06:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel G");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel G");
 			break;
 		case 0x07:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Overrun on channel H");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Overrun on channel H");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 6 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 6 - Reserved");
 		}
                 break;		
 
 	case 0x70:	/* Format 7 - Device Connection Control Checks */
 		switch (msg_no) {
 		case 0x00:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - RCC initiated by a connection "
-                                      "check alert");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - RCC initiated by a connection "
+                                     "check alert");
 			break;
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - RCC 1 sequence not "
-                                      "successful");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - RCC 1 sequence not "
+                                     "successful");
 			break;
 		case 0x02:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - RCC 1 and RCC 2 sequences not "
-                                      "successful");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - RCC 1 and RCC 2 sequences not "
+                                     "successful");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Invalid tag-in during "
-                                      "selection sequence");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Invalid tag-in during "
+                                     "selection sequence");
 			break;
 		case 0x04:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - extra RCC required");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - extra RCC required");
 			break;
 		case 0x05:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Invalid DCC selection "
-                                      "response or timeout");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Invalid DCC selection "
+                                     "response or timeout");
 			break;
 		case 0x06:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Missing end operation; device "
-                                      "transfer complete");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Missing end operation; device "
+                                     "transfer complete");
 			break;
 		case 0x07:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Missing end operation; device "
-                                      "transfer incomplete");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Missing end operation; device "
+                                     "transfer incomplete");
 			break;
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Invalid tag-in for an "
-                                      "immediate command sequence");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Invalid tag-in for an "
+                                     "immediate command sequence");
 			break;
 		case 0x09:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Invalid tag-in for an "
-                                      "extended command sequence");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Invalid tag-in for an "
+                                     "extended command sequence");
 			break;
 		case 0x0A:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - 3990 microcode time out when "
-                                      "stopping selection");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - 3990 microcode time out when "
+                                     "stopping selection");
 			break;
 		case 0x0B:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - No response to selection "
-                                      "after a poll interruption");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - No response to selection "
+                                     "after a poll interruption");
 			break;
 		case 0x0C:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Permanent path error (DASD "
-                                      "controller not available)");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Permanent path error (DASD "
+                                     "controller not available)");
 			break;
 		case 0x0D:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - DASD controller not available"
-                                      " on disconnected command chain");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - DASD controller not available"
+                                     " on disconnected command chain");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 7 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 7 - Reserved");
 		}
                 break;		
 
@@ -1243,52 +1288,52 @@
 		switch (msg_no) {
 		case 0x00:	/* No Message */
 		case 0x01:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - Error correction code "
-                                      "hardware fault");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - Error correction code "
+                                     "hardware fault");
 			break;
 		case 0x03:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - Unexpected end operation "
-                                      "response code");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - Unexpected end operation "
+                                     "response code");
 			break;
 		case 0x04:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - End operation with transfer "
-                                      "count not zero");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - End operation with transfer "
+                                     "count not zero");
 			break;
 		case 0x05:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - End operation with transfer "
-                                      "count zero");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - End operation with transfer "
+                                     "count zero");
 			break;
 		case 0x06:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - DPS checks after a system "
-                                      "reset or selective reset");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - DPS checks after a system "
+                                     "reset or selective reset");
 			break;
 		case 0x07:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - DPS cannot be filled");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - DPS cannot be filled");
 			break;
 		case 0x08:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - Short busy time-out during "
-                                      "device selection");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - Short busy time-out during "
+                                     "device selection");
 			break;
 		case 0x09:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - DASD controller failed to "
-                                      "set or reset the long busy latch");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - DASD controller failed to "
+                                     "set or reset the long busy latch");
 			break;
 		case 0x0A:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - No interruption from device "
-                                      "during a command chain");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - No interruption from device "
+                                     "during a command chain");
 			break;
 		default:
-                        DASD_MESSAGE (KERN_WARNING, device, "%s",
-                                      "FORMAT 8 - Reserved");
+                        DEV_MESSAGE (KERN_WARNING, device, "%s",
+                                     "FORMAT 8 - Reserved");
 		}
                 break;		
 
